Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSVideoDetails Class Reference

Video related details for session. More...

`#import <CSVideoDetails.h>`

Inherits NSObject.

## Properties
NSString * | codec
| The name of the video codec being used. More...
NSUInteger | payloadType
| Payload type. More...
NSUInteger | roundTripTimeMilliseconds
| The round-trip audio delay (in milliseconds) calculated as per RFC 3550. More...
NSString * | localIPAddress
| Local media IP address. More...
NSString * | remoteIPAddress
| Remote media IP address. More...
NSUInteger | localPort
| Local media termination port. More...
NSUInteger | remotePort
| Remote media termination port. More...
CSMediaEncryptionType | encryptionType
| Type for encryption used for video session. More...
BOOL | mediaTunneled
| Status indication for whether Video is tunneled or not. More...
BOOL | mediaProxied
| Status indication for whether tunneled Video goes through proxy or not. More...
BOOL | RTCPEncrypted
| Flag indicating whether RTCP is encrypted or not. More...
NSUInteger | channelId
| Video channel id associated with media engine resources. More...
CSVideoStatistics * | receiveStatistics
| Receive stream statistics. More...
CSVideoTransmitStatistics * | transmitStatistics
| Send stream statistics. More...

## Detailed Description

Video related details for session.

## Property Documentation

- (NSUInteger) channelId
| read nonatomic assign

Video channel id associated with media engine resources.

- (NSString*) codec
| read nonatomic assign

The name of the video codec being used.

- (CSMediaEncryptionType) encryptionType
| read nonatomic assign

Type for encryption used for video session.

- (NSString*) localIPAddress
| read nonatomic assign

Local media IP address.

- (NSUInteger) localPort
| read nonatomic assign

Local media termination port.

- (BOOL) mediaProxied
| read nonatomic assign

Status indication for whether tunneled Video goes through proxy or not.

- (BOOL) mediaTunneled
| read nonatomic assign

Status indication for whether Video is tunneled or not.

- (NSUInteger) payloadType
| read nonatomic assign

Payload type.

- (CSVideoStatistics*) receiveStatistics
| read nonatomic assign

Receive stream statistics.

- (NSString*) remoteIPAddress
| read nonatomic assign

Remote media IP address.

- (NSUInteger) remotePort
| read nonatomic assign

Remote media termination port.

- (NSUInteger) roundTripTimeMilliseconds
| read nonatomic assign

The round-trip audio delay (in milliseconds) calculated as per RFC 3550.

This is the time required for an RTP packet to go from sender to receiver and back.

- (BOOL) RTCPEncrypted
| read nonatomic assign

Flag indicating whether RTCP is encrypted or not.

- (CSVideoTransmitStatistics*) transmitStatistics
| read nonatomic assign

Send stream statistics.

The documentation for this class was generated from the following file:

- CSVideoDetails.h